
# Landing gift card

Components for views of the gift cards and make the integration easy and agile



# Gift card purchasing process

Below are the components for the gift card purchasing process


## Gift cards list

Component to list your gift cards for their respective purchase

![App Screenshot](https://gift-card-sandbox.s3.us-west-2.amazonaws.com/sandbox/92f139ea-4b7d-446d-9ccd-a829ebb6981b/avatar/a22a1c0b-5fb2-4bae-93f8-b6511b344c42.png)

## Fill in the recipient's details

Component fill in the recipient's details your gift cards for their respective purchase

![App Screenshot](https://gift-card-sandbox.s3.us-west-2.amazonaws.com/sandbox/92f139ea-4b7d-446d-9ccd-a829ebb6981b/logo/da7b4736-8cae-4a3c-823b-05e6021db2d7.png)


# Personalize the Gift Card

Data that the sender and beneficiary of the gift card will receive

![App Screenshot](https://gift-card-sandbox.s3.us-west-2.amazonaws.com/sandbox/92f139ea-4b7d-446d-9ccd-a829ebb6981b/logo/4a1e7ecf-e672-49bc-bd6b-e72d66800afa.png)

# Gift card activation

Component to activate the card






## Installation

Install landing-giftcard with npm

```bash
  npm install landing-giftcard
```

Use in proyect in module

```bash
  import { LandingGiftcardModule } from '@uniko/landing-giftcard';

  @NgModule({
    imports: [
        BrowserModule,
        RouterModule.forRoot(AppRoutes, { useHash: false }),
        LandingGiftcardModule,
    ],
    bootstrap: [AppComponent]
})
```
